dcl_settings : default_dcl_settings { audit_level = 3; }

 ddxdisplay : dialog {
            label = "Xref display";
            spacer_0;
            : row {
              spacer_1;
              : text {
                label = "Override layer material:";
              }
              spacer_1;
            }
            : row {
              spacer_1;
              : popup_list {
                alignment = bottom;
                key = "matlist";
                action = "(set_matname $value)";
              }
              spacer_1;
            }
            spacer_0;
            : row {
              spacer_1;
              : text {
                label = "Override layer transparency:";
              }
              spacer_1;
            }
            : row {
              spacer_1;
              : popup_list {
                alignment = bottom;
                key = "translist";
                action = "(set_ltransparency $value)";
              }
             spacer_1;
            }
            spacer_0;
            : row {
              spacer_1;
              : text {
                label = "Override layer lineweight:";
              }
              spacer_1;
            }
            : row {
              spacer_1;
              : popup_list {
                alignment = bottom;
                key = "lwlist";
                action = "(set_llw $value)";
              }
              spacer_1;
            }
            spacer_0;
            : row {
              spacer_1;
              : text {
                label = "Override layer color:";
              }
              spacer_1;
            }
            /*: row {
              : column {
                : image {
                  fixed_width = true; 
                  //fixed_height = true;
                  key = "color_indicator";
                  heigth = 40;
                  width = 10;
                  color = dialog_background;
                  alignment = bottom;
                }
              }
              spacer_0;
              : column {
                : button {
                  key = "xcolor";
                  label = "set...";
                  action = "(set_lcolor)";
                }
              }
            } */
            spacer_0;
            : row {
              spacer_1;
              : image_button {
                key = "color_button";
                height = 0.5;
                width = 16;
                color = dialog_background;
                action = "(set_lcolor)";
              }
              spacer_1;
            }
            spacer_0;
            : row {
              spacer_1;
              : button {
                    key = "xsettings";
                    label = "Global display settings...";
                    action = "(xdisplay-settings)";
              }
              spacer_1;
            }
            spacer_0;
            ok_cancel;
          }

  ddxsettings : dialog {
            label = "Global display settings";
            : toggle {
              key = "xretain";
              label = "Save Xref layer overrides with drawing";
              action = "(set_xretain $value)";
            }
            spacer_0;
            : toggle {
              key = "xmode";
              label = "Layer properties override entity properties";
              action = "(set_xmode $value)";
            }
            spacer_1;
            : row {
              :column {
                //alignment = top;
                : text {
                  alignment = centered;
                  label = "Xref fade percent:";
                }
              }
              : column {
                //alignment = top;
                : popup_list {
                  alignment = left;
                  width = 2;
                  fixed_width = true;
                  key = "xfadelist";
                  action = "(set_xfade $value)";
                }
              }
              spacer_1;
            }
            spacer_0;
            ok_cancel;
          }

  ddxreload : dialog {
            label = "Unloaded external references";
            : row {
              : text {
                label = " Select a reference to reload:";
              }
            }
            : row {
              : popup_list {
                alignment = bottom;
                key = "x_list";
                action = "(set_xindex $value)";
              }
            }
            spacer_1;
            ok_cancel;
          }


  ddxshow : dialog {
            label = "Hidden block instances";
            : row {
              : text {
                label = " Select an instance to unhide:";
              }
            }
            : row {
              : popup_list {
                alignment = bottom;
                key = "x_list";
                action = "(set_xindex $value)";
              }
            }
            spacer_1;
            ok_cancel;
          }
